import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import { SnackBarService } from '../../../ui-kit/snack-bar/snack-bar.service';
import * as i0 from "@angular/core";
export declare class FrequencyContainerComponent implements OnInit, OnChanges {
    private frequencyService;
    private snackbar;
    frequencyTab: string;
    currentTabName: string;
    frequencyDetails: any;
    selectedFrequency: EventEmitter<any>;
    closeFrequency: EventEmitter<any>;
    mode: any;
    feature: any;
    pageType: 'responsibility' | 'policy';
    frequencyData: any;
    frequencyList: {
        name: string;
        type: string;
    }[];
    selectedFrequencyData: any;
    isNextDisabled: any;
    featureFlag_on_completion_of: any;
    openedRadioForm: boolean;
    constructor(frequencyService: FrequencyService, snackbar: SnackBarService);
    ngOnInit(): void;
    ngOnChanges(): void;
    populateFrequency(): void;
    changeFrequencyTab(frequency: any): void;
    isInvalid(): boolean;
    onFrequencySelected(event: any): void;
    openedRadio(event: any): void;
    save(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyContainerComponent, "app-frequency-container", never, { "frequencyDetails": { "alias": "frequencyDetails"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "feature": { "alias": "feature"; "required": false; }; "pageType": { "alias": "pageType"; "required": false; }; }, { "selectedFrequency": "selectedFrequency"; "closeFrequency": "closeFrequency"; }, never, never, false, never>;
}
